Open CASCADE Technology: IFSelect_SelectAnyType Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IFSelect_SelectAnyType Class Referenceabstract

A SelectAnyType sorts the Entities of which the Type is Kind of a given Type : this Type for Match is specific of each class of SelectAnyType. More...

`#include <IFSelect_SelectAnyType.hxx>`

Inheritance diagram for IFSelect_SelectAnyType:
[legend]

## Public Member Functions
virtual Handle< Standard_Type > | TypeForMatch () const =0
| Returns the Type which has to be matched for select. More...
Standard_Boolean | Sort (const Standard_Integer rank, const Handle< Standard_Transient > &ent, const Handle< Interface_InterfaceModel > &model) const
| Returns True for an Entity (model->Value(num)) which is kind of the choosen type, given by the method TypeForMatch. Criterium is IsKind. More...
Public Member Functions inherited from IFSelect_SelectExtract
Standard_Boolean | IsDirect () const
| Returns True if Sort criterium is Direct, False if Reverse. More...
void | SetDirect (const Standard_Boolean direct)
| Sets Sort criterium sense to a new value (True : Direct , False : Reverse) More...
virtual Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected entities. Works by calling the method Sort on each input Entity : the Entity is kept as output if Sort returns the same value as Direct status. More...
virtual Standard_Boolean | SortInGraph (const Standard_Integer rank, const Handle< Standard_Transient > &ent, const Interface_Graph &G) const
| Works as Sort but works on the Graph Default directly calls Sort, but it can be redefined If SortInGraph is redefined, Sort should be defined even if not called (to avoid deferred methods in a final class) More...
TCollection_AsciiString | Label () const
| Returns a text saying "Picked" or "Removed", plus the specific criterium returned by ExtractLabel (see below) More...
virtual TCollection_AsciiString | ExtractLabel () const =0
| Returns a text defining the criterium for extraction. More...
Public Member Functions inherited from IFSelect_SelectDeduct
void | SetInput (const Handle< IFSelect_Selection > &sel)
| Defines or Changes the Input Selection. More...
Handle< IFSelect_Selection > | Input () const
| Returns the Input Selection. More...
Standard_Boolean | HasInput () const
| Returns True if the Input Selection is defined, False else. More...
Standard_Boolean | HasAlternate () const
| Tells if an Alternate List has been set, i.e. : the Alternate Definition is present and set. More...
Handle< IFSelect_SelectPointed > & | Alternate ()
| Returns the Alternate Definition It is returned modifiable, hence an already defined SelectPointed can be used But if it was not yet defined, it is created the first time. More...
Interface_EntityIterator | InputResult (const Interface_Graph &G) const
| Returns the Result determined by Input Selection, as Unique if Input Selection is not defined, returns an empty list. More...
void | FillIterator (IFSelect_SelectionIterator &iter) const
| Puts in an Iterator the Selections from which "me" depends This list contains one Selection : the InputSelection. More...
Public Member Functions inherited from IFSelect_Selection
Interface_EntityIterator | UniqueResult (const Interface_Graph &G) const
| Returns the list of selected entities, each of them beeing unique. Default definition works from RootResult. According HasUniqueResult, UniqueResult returns directly RootResult, or build a Unique Result from it with a Graph. More...
virtual Interface_EntityIterator | CompleteResult (const Interface_Graph &G) const
| Returns the list of entities involved by a Selection, i.e. UniqueResult plus the shared entities (directly or not) More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from IFSelect_SelectExtract
| IFSelect_SelectExtract ()
| Initializes a SelectExtract : enforces the sort to be Direct. More...
Protected Member Functions inherited from IFSelect_Selection
virtual Standard_Boolean | HasUniqueResult () const
| Returns True if RootResult guarantees uniqueness for each Entity. Called by UniqueResult. Default answer is False. Can be redefined. More...

## Detailed Description

A SelectAnyType sorts the Entities of which the Type is Kind of a given Type : this Type for Match is specific of each class of SelectAnyType.

## Member Function Documentation

Standard_Boolean IFSelect_SelectAnyType::Sort | ( | const Standard_Integer | rank,
|  | const Handle< Standard_Transient > & | ent,
|  | const Handle< Interface_InterfaceModel > & | model
| ) |  | const
| virtual

Returns True for an Entity (model->Value(num)) which is kind of the choosen type, given by the method TypeForMatch. Criterium is IsKind.

Implements IFSelect_SelectExtract.

virtual Handle< Standard_Type > IFSelect_SelectAnyType::TypeForMatch | ( |  | ) | const
| pure virtual

Returns the Type which has to be matched for select.

Implemented in IFSelect_SelectType.

The documentation for this class was generated from the following file:

- IFSelect_SelectAnyType.hxx